[commit: ghc] wip/fix-windows-ci, wip/revert-windows-big-pe: get-win32-tarballs: Fix bash error handling logic (15fff5b)

git at git.haskell.org git at git.haskell.org
Thu Dec 27 17:01:03 UTC 2018


Repository : ssh://git@git.haskell.org/ghc

On branches: wip/fix-windows-ci,wip/revert-windows-big-pe
Link       : http://ghc.haskell.org/trac/ghc/changeset/15fff5bf6e6b5f72a33b02c31565be4afb6a7480/ghc

>---------------------------------------------------------------

commit 15fff5bf6e6b5f72a33b02c31565be4afb6a7480
Author: Ben Gamari <ben at smart-cactus.org>
Date:   Tue Dec 25 22:22:40 2018 -0500

    get-win32-tarballs: Fix bash error handling logic
    
    Due to incorrect parentheses we would previously always download tarballs from
    both haskell.org and the upstream msys mirror.


>---------------------------------------------------------------

15fff5bf6e6b5f72a33b02c31565be4afb6a7480
 mk/get-win32-tarballs.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/mk/get-win32-tarballs.sh b/mk/get-win32-tarballs.sh
index c0e5dd7..b1f842f 100755
--- a/mk/get-win32-tarballs.sh
+++ b/mk/get-win32-tarballs.sh
@@ -37,7 +37,7 @@ download_file() {
             return
         else
             echo "Downloading ${description} to ${dest_dir}..."
-            $curl_cmd || echo "Checking repo.msys2.org instead of Haskell.org..." && $curl_cmd_bnk || {
+            $curl_cmd || (echo "Checking repo.msys2.org instead of Haskell.org..." && $curl_cmd_bnk) || {
                 rm -f "${dest_file}"
                 fail "ERROR: Download failed."
                 exit 1



More information about the ghc-commits mailing list